<?php

namespace AMZcockpitDoctrine\Repository\MWS;

/**
 * FeeRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class FeeRepository extends \Doctrine\ORM\EntityRepository
{
    public function getAllFeesTypes() {
        $qb = $this->createQueryBuilder('f')
            ->select('f.type')
            ->distinct('f.type');
        $qb->orderBy('f.type','ASC');
        $items = $qb->getQuery()->getResult();
        $return = [];
        foreach ($items as $item) {
            $return[] = $item['type'];
        }
        return $return;
    }
}
